// dice throw random
// #random_device #mt19937 #uniform_int_distribution

#include <iostream>
#include <random>

int main() {
    // will be used to obtain a seed for the random number engine
    std::random_device rd;
    // standard mersenne_twister_engine seeded with rd()
    std::mt19937 gen(rd()); 
    // distribution range object created
    std::uniform_int_distribution<> distrib(1, 6);

    // transform the random unsigned int generated by gen into an int [1, 6]
    for (int n = 0; n < 10; ++n) {
        std::cout << distrib(gen) << ' ';
    }

    return 0;
}